<app-billing-summary [model]="billingSummary">
</app-billing-summary>

<div class="billing-action-container">
    <div class="billing-action-container d-flex justify-content-end">
        <button mat-stroked-button class="invoice-alertbtn mr-2" (click)="openCreateBatchInvoiceModal()">
            Batch Invoice
        </button>
        <button (click)="onAddCreditClick()" mat-stroked-button class="invoice-alertbtn mr-2">
            Add Credit
        </button>
        <button mat-raised-button class="add-invoice-btn" routerLink="/bills/add">
            Add Invoice
        </button>
    </div>
    <div>
        <div class=" d-flex align-items-center mt-3">
            <div class="flex-fill">
                <button class="booking-appt-class-btn btn-tab" (click)="onInvoiceTabClick()"
                        [class.btn-tab-active]="invoiceTab">
                    Invoices ({{this.nonVoidedInvoices.length}})
                </button>
                <button class="planned-service-btn btn-tab ml-2" (click)="onVoidTabClick()"
                        [class.btn-tab-active]="!invoiceTab">
                    Voided ({{this.voidedInvoices.length}})
                </button>
            </div>

            <div style="display:none;">

                <button class="btn-clear-filter">
                    Filter By Payer <span class="k-icon k-i-close-outline k-i-x-outline k-i-error"
                                          style="font-size: 12px; color: #394085;"></span>
                </button>

                <button class="no-border-bg-btn">
                    <span class="k-icon k-i-filter" style="font-size: 22px; color: #575757;"></span>
                </button>

            </div>
        </div>

        <div class="mt-3" *ngIf="invoiceTab">
            <app-invoices (loadData)="getBillingData()" [billingPage]="true" [patients]="patients"
                          [voidedTab]="!invoiceTab" *ngIf="nonVoidedInvoices.length > 0"
                          [invoices]="nonVoidedInvoices" [paymentTypes]="paymentTypes">
            </app-invoices>

            <app-grid-no-data *ngIf="nonVoidedInvoices.length == 0" title="You haven't added a Invoice"
                              description="description">
            </app-grid-no-data>
        </div>
        <div class="mt-3" *ngIf="!invoiceTab">
            <app-invoices (loadData)="getBillingData()" [billingPage]="true" [voidedTab]="invoiceTab"
                          [invoices]="voidedInvoices" [paymentTypes]="paymentTypes">
            </app-invoices>
        </div>
    </div>
</div>
